.menuImg {
  display: block;
}

.menuImg img {
  max-width: 200px;
}

.menuSocials {
  display: block;
}

.social {
  max-width: 40px;
}

.menuWrapper {
  position: fixed;
  z-index: 9999;
  min-width: 500px;
  right: 5%;
  top: 2%;
  height: 0;
}

.menuDisplay {
  background-color: #fff;
  border-radius: 18px;
  border: none;
  float: right;
  width: 100%;
  position: relative;
  z-index: 1002;
  scale: 0;
  border: 2px solid var(--black);
  box-shadow: 0 4px var(--black);
}

.menuList {
  display: flex;
  flex-direction: column;
  padding: 4rem 2rem 2rem 6rem;
  visibility: visible;
  opacity: 0;
}

.menuDisplay p {
  margin: 2rem 0;
}

.menuImg {
  position: relative;
  margin-top: -205px;
  text-align: right;
  margin-right: 0;
  z-index: 1004;
}

.menuSwitchFlex {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.menuText {
  transform: rotate(-7deg);
  font-family: var(--subheading-font);
  font-size: 2.2rem;
  margin-bottom: 0.6rem;
  text-align: left;
}

.barsWrapper {
  padding: 1.2rem;
  border: 2px solid var(--black);
  border-radius: 50%;
  display: block;
  background-color: #fff;
}

.bars {
  max-width: 24px;
}

.menuArrow {
  max-width: 30px;
  margin-top: 1rem;
}

.menuSwitch {
  position: relative;
  text-align: right;
  margin-bottom: calc(-24px - 0.5rem);
  margin-right: calc(-24px - 18px - 1rem);
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  z-index: 1003;
  max-width: 100px;
  float: right;
}

.menuItem {
  text-decoration: none;
  font-family: var(--header-font);
  font-size: 2.2rem;
  margin-bottom: 3rem;
  cursor: pointer;
  z-index: 1005;
}

.menuSubItem {
  padding-left: 2rem;
  margin-top: -1rem;
}

.menuSocials {
  margin-top: 2rem;
  z-index: 1005;
}

.social {
  margin-right: 2rem;
}

@media screen and (max-width: 1023px) {
  .menuText,
  .menuArrow,
  .menuImg {
    display: none;
  }
  .menuSwitch {
    margin-bottom: 0;
    margin-right: 0;
  }
  .barsWrapper {
    padding: 1rem;
  }
  .bars {
    max-width: 16px;
  }
  .menuDisplay {
    width: clamp(30rem, 28.235rem + 4.902vw, 32rem);
    margin-top: 16px;
    margin-right: -16px;
  }
  .menuList {
    padding: 3rem;
  }
  .menuItem {
    font-size: clamp(2rem, 1.857rem + 0.238vw, 2.2rem);
  }
  .menuSocials {
    margin: 0;
    width: 50%;
  }
  .social {
    margin: 0 1rem 1rem 0;
    max-width: 36px;
  }
  .menuImg {
    display: block;
    margin-right: -32px;
  }
  .menuImg img {
    max-width: 160px;
  }
  .menuWrapper {
    min-width: 360px;
  }
}

.footer .row {
  padding: 0;
  display: block;
}
